Debian Bug report logs - #701614
support luks persistence with persistence files

version graph

Package: live-boot; Maintainer for live-boot is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-boot is src:live-boot.

Reported by: peter.schaefer@physik.hu-berlin.de

Date: Mon, 25 Feb 2013 10:21:04 UTC

Severity: wishlist

Tags: pending

Found in version live-boot/3.0.1-1

Fixed in version 4.0~a11-1

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#701614; Package live-boot. (Mon, 25 Feb 2013 10:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to peter.schaefer@physik.hu-berlin.de:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Mon, 25 Feb 2013 10:21:07 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Peter Schaefer <peter.schaefer@physik.hu-berlin.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-boot: persistence not working with luks encrypted image
Date: Mon, 25 Feb 2013 11:08:30 +0100
[Message part 1 (text/plain, inline)]
Package: live-boot
Version: 3.0.1-1
Severity: normal

Dear Maintainer,
persistence not working with luks encrypted image file
patch from bugreport #700902 is applied
test configuration
Partition:  Labeled:      DEBIAN-HOME
            formated as:  ext2
contained image file named persistence
            size: 210MByte
            formated as: luks
            contained ext2 filesystem
            labeled: persistence
echo "/home" > ./persistence.conf

bootparameter: persistence persistence-encryption=luks,none

during boot no stop to enter passphrase
partition DEBIAN-HOME is mounted to /lib/live/mount/persistence/sda2
image persistent is visible in places, locked and need password to open
will be mounted to /media/persistence/
persistence.conf is present

the attached  patch solves the problem

best regards Peter Schaefer

-- Package-specific info:

-- System Information:
Debian Release: 7.0
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.2.0-4-amd64 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-boot depends on:
ii  live-boot-initramfs-tools [live-boot-backend]  3.0.1-1

Versions of packages live-boot recommends:
ii  live-boot-doc  3.0.1-1
ii  live-tools     3.0.18-1
ii  rsync          3.0.9-4
ii  uuid-runtime   2.20.1-5.3

Versions of packages live-boot suggests:
ii  cryptsetup    2:1.4.3-4
pn  curlftpfs     <none>
pn  httpfs2       <none>
pn  unionfs-fuse  <none>
ii  wget          1.14-1

-- no debconf information

[9990-misc-helpers.diff.2013.02.24.19.27 (text/x-patch, attachment)]

Changed Bug title to 'support luks persistence with persistence files' from 'live-boot: persistence not working with luks encrypted image' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 01 Mar 2013 10:24:13 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 01 Mar 2013 10:24:13 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 01 Mar 2013 10:24:14 GMT) Full text and rfc822 format available.

Added indication that bug 701614 blocks 702187 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 03 Mar 2013 17:51:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#701614; Package live-boot. (Sun, 03 Mar 2013 21:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Hare <davidahare@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 03 Mar 2013 21:45:09 GMT) Full text and rfc822 format available.

Message #18 received at 701614@bugs.debian.org (full text, mbox):

From: David Hare <davidahare@gmail.com>
To: 701614@bugs.debian.org
Subject: Re: Bug#701614: live-boot: persistence not working with luks encrypted image
Date: Sun, 03 Mar 2013 21:41:37 +0000
On 25/02/13 10:08, Peter Schaefer wrote:
> persistence not working with luks encrypted image file
> patch from bugreport #700902 is applied
> test configuration
> Partition:  Labeled:      DEBIAN-HOME
>              formated as:  ext2
> contained image file named persistence
>              size: 210MByte
>              formated as: luks
>              contained ext2 filesystem
>              labeled: persistence
> echo "/home">  ./persistence.conf
>
> bootparameter: persistence persistence-encryption=luks,none
>
> during boot no stop to enter passphrase
> partition DEBIAN-HOME is mounted to /lib/live/mount/persistence/sda2
> image persistent is visible in places, locked and need password to open
> will be mounted to/media/persistence/
> persistence.conf is present
>
> the attached  patch solves the problem
>
> best regards Peter Schaefer
>
> -- Package-specific info:

Luks-encrypted persistence file confirmed working here, similar to as 
you describe, with your patch applied. Both full- and home-persistence. 
Thanks, that is a most valuable functionality.

Using a syslinux usb pen: sdb1 (FAT32) for live-media and sdb2 (ext2, 
not luks) with a LUKS persistence file labelled "persistence" containing 
an ext2 filesystem also labelled "persistence", boot options 
persistence-encryption=none,luks

live-boot_4.0~a7-1

If using findiso the live-media mountpoint is expected to be on 
/lib/live/mount/findiso but is instead on /lib/live/mount/persistence/sdb1

I don't know about fromiso, probably will behave similarly

Although that did not prevent it from actually working, it was fixed 
here by editing:

black_listed_devices="$(what_is_mounted_on /live/medium)"

to:

black_listed_devices="$(what_is_mounted_on /live/medium) 
$(what_is_mounted_on /live/findiso) $(what_is_mounted_on /live/fromiso)"

David








Removed indication that bug 701614 blocks 702187 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 05 May 2013 08:09:33 GMT) Full text and rfc822 format available.

Added indication that bug 701614 blocks 706618 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Sun, 05 May 2013 08:09:38 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0~a11-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 06 May 2013 12:45:10 GMT) Full text and rfc822 format available.

Marked Bug as done Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 06 May 2013 12:45:11 GMT) Full text and rfc822 format available.

Notification sent to peter.schaefer@physik.hu-berlin.de:
Bug acknowledged by developer. (Mon, 06 May 2013 12:45:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 08:11:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.